Bug 834907 - Build -el, -terminal, and -filesystem as noarch
Build -el, -terminal, and -filesystem as noarch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 15:07 EDT by Ville Skyttä
Modified: 2013-03-03 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version: 24.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 11:35:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make -el, -filesystem, and -terminal noarch, spelling fix (1.18 KB, patch)
2012-06-24 15:07 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2012-06-24 15:07:25 EDT
Created attachment 594045 [details]
Make -el, -filesystem, and -terminal noarch, spelling fix

The -el, -terminal, and -filesystem subpackages don't seem to contain anything arch specific so they should probably be noarch.

Patch along with a trivial spelling fix attached, let me know if you'd like me to push and build this for devel.
Comment 1 Karel Klíč 2012-07-11 09:51:40 EDT
Thanks, feel free to push and build.

I had some trouble building Emacs for Rawhide. Going to check if it is still an issue.
Comment 2 Ville Skyttä 2012-07-11 11:35:49 EDT
Pushed and build in progress, failed in local mock (unrelated to this change) so I don't have high hopes that it'll work in koji.
Comment 3 Karel Klíč 2012-07-11 12:55:48 EDT
Patched emacs/lib/stdio.h to get rid of gets. It builds now:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4233980

Note You need to log in before you can comment on or make changes to this bug.